# Method: accounts.locations.batchGetReviews

- [HTTP request](https://developers.google.com/my-business/reference/rest/v4/accounts.locations/batchGetReviews#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/my-business/reference/rest/v4/accounts.locations/batchGetReviews#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/my-business/reference/rest/v4/accounts.locations/batchGetReviews#body.request_body)
  - [JSON representation](https://developers.google.com/my-business/reference/rest/v4/accounts.locations/batchGetReviews#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/my-business/reference/rest/v4/accounts.locations/batchGetReviews#body.response_body)
  - [JSON representation](https://developers.google.com/my-business/reference/rest/v4/accounts.locations/batchGetReviews#body.BatchGetReviewsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/my-business/reference/rest/v4/accounts.locations/batchGetReviews#body.aspect)
- [LocationReview](https://developers.google.com/my-business/reference/rest/v4/accounts.locations/batchGetReviews#LocationReview)
  - [JSON representation](https://developers.google.com/my-business/reference/rest/v4/accounts.locations/batchGetReviews#LocationReview.SCHEMA_REPRESENTATION)

Returns the paginated list of reviews for all specified locations. This operation is only valid if the specified locations are verified.

> [!NOTE]
> **Note:** Reviews are limited to a batch size of 50 `locationNames` per call.

<br />

### HTTP request

`POST https://mybusiness.googleapis.com/v4/{name=accounts/*}/locations:batchGetReviews`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` The name of the account from which to retrieve a list of reviews across multiple locations. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "locationNames": [ string ], "pageSize": integer, "pageToken": string, "orderBy": string, "ignoreRatingOnlyReviews": boolean } ``` |

| Fields ||
|---|---|
| `locationNames[]` | `string` A collection of locations to fetch reviews for, specified by their names. |
| `pageSize` | `integer` How many reviews to fetch per page. The default value is 50. |
| `pageToken` | `string` If specified, it fetches the next page of reviews. |
| `orderBy` | `string` Optional. Specifies the field to sort reviews by. If unspecified, the order of reviews returned will default to `updateTime desc`. Valid orders to sort by are `rating`, `rating desc` and `updateTime desc`. `rating` will return reviews in ascending order. `updateTime`(i.e. ascending order) is not supported. |
| `ignoreRatingOnlyReviews (deprecated)` | `boolean` Whether to ignore rating-only reviews. |

### Response body

Response message for Reviews.BatchGetReviews.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "locationReviews": [ { object (`https://developers.google.com/my-business/reference/rest/v4/accounts.locations/batchGetReviews#LocationReview`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `locationReviews[]` | ``object (`https://developers.google.com/my-business/reference/rest/v4/accounts.locations/batchGetReviews#LocationReview`)`` Reviews with location information. |
| `nextPageToken` | `string` If the number of reviews exceeded the requested page size, this field is populated with a token to fetch the next page of reviews on a subsequent calls. If there are no more reviews, this field will not be present in the response. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/plus.business.manage`
- `https://www.googleapis.com/auth/business.manage`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## LocationReview

Represents a review with location information.

| JSON representation |
|---|
| ``` { "name": string, "review": { object (`https://developers.google.com/my-business/reference/rest/v4/accounts.locations.reviews#Review`) } } ``` |

| Fields ||
|---|---|
| `name` | `string` Location resource name. |
| `review` | ``object (`https://developers.google.com/my-business/reference/rest/v4/accounts.locations.reviews#Review`)`` A review for the location. |